<?php

/*
 * This file is part of the PHPExifTool package.
 *
 * (c) Alchemy <support@alchemy.fr>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace PHPExiftool\Driver\Tag\Olympus;

use JMS\Serializer\Annotation\ExclusionPolicy;
use PHPExiftool\Driver\AbstractTag;

/**
 * @ExclusionPolicy("all")
 */
class YCbCrCoefficients extends AbstractTag
{

    protected $Id = 1537;

    protected $Name = 'YCbCrCoefficients';

    protected $FullName = 'Olympus::RawInfo';

    protected $GroupName = 'Olympus';

    protected $g0 = 'MakerNotes';

    protected $g1 = 'Olympus';

    protected $g2 = 'Camera';

    protected $Type = 'rational32u';

    protected $Writable = false;

    protected $Description = 'Y Cb Cr Coefficients';

    protected $flag_Permanent = true;

}
